Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SessionInfo.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SessionInfo.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SessionInfo.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SessionInfo.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.SessionInfoOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.SessionInfo`

public static final class ClientWireProtocol.SessionInfo.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SessionInfo.Builder> implements ClientWireProtocol.SessionInfoOrBuilder
Protobuf type `xg.cmdcomp.SessionInfo`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.SessionInfo`
`build()`
`ClientWireProtocol.SessionInfo`
`buildPartial()`
`ClientWireProtocol.SessionInfo.Builder`
`clear()`
`ClientWireProtocol.SessionInfo.Builder`
`clearSecurityToken()`
The security token associated with this session
`ClientWireProtocol.SessionInfo.Builder`
`clearServerSessionId()`
The server side identifier for this session.
`ClientWireProtocol.SessionInfo`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`ClientWireProtocol.SecurityToken`
`getSecurityToken()`
The security token associated with this session
`ClientWireProtocol.SecurityToken.Builder`
`getSecurityTokenBuilder()`
The security token associated with this session
`ClientWireProtocol.SecurityTokenOrBuilder`
`getSecurityTokenOrBuilder()`
The security token associated with this session
`String`
`getServerSessionId()`
The server side identifier for this session.
`com.google.protobuf.ByteString`
`getServerSessionIdBytes()`
The server side identifier for this session.
`boolean`
`hasSecurityToken()`
The security token associated with this session
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ClientWireProtocol.SessionInfo.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.SessionInfo.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ClientWireProtocol.SessionInfo.Builder`
`mergeFrom(ClientWireProtocol.SessionInfo other)`
`ClientWireProtocol.SessionInfo.Builder`
`mergeSecurityToken(ClientWireProtocol.SecurityToken value)`
The security token associated with this session
`final ClientWireProtocol.SessionInfo.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.SessionInfo.Builder`
`setSecurityToken(ClientWireProtocol.SecurityToken value)`
The security token associated with this session
`ClientWireProtocol.SessionInfo.Builder`
`setSecurityToken(ClientWireProtocol.SecurityToken.Builder builderForValue)`
The security token associated with this session
`ClientWireProtocol.SessionInfo.Builder`
`setServerSessionId(String value)`
The server side identifier for this session.
`ClientWireProtocol.SessionInfo.Builder`
`setServerSessionIdBytes(com.google.protobuf.ByteString value)`
The server side identifier for this session.
`final ClientWireProtocol.SessionInfo.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SessionInfo.Builder>`

### clear

public ClientWireProtocol.SessionInfo.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SessionInfo.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SessionInfo.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SessionInfo getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.SessionInfo build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SessionInfo buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.SessionInfo.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SessionInfo.Builder>`

### mergeFrom

public ClientWireProtocol.SessionInfo.Builder mergeFrom(ClientWireProtocol.SessionInfo other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SessionInfo.Builder>`

### mergeFrom

public ClientWireProtocol.SessionInfo.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SessionInfo.Builder>`
Throws:
  `IOException`

### getServerSessionId

public String getServerSessionId()

     The server side identifier for this session.

`string serverSessionId = 1;`

Specified by:
  `getServerSessionId` in interface `ClientWireProtocol.SessionInfoOrBuilder`
Returns:
  The serverSessionId.

### getServerSessionIdBytes

public com.google.protobuf.ByteString getServerSessionIdBytes()

     The server side identifier for this session.

`string serverSessionId = 1;`

Specified by:
  `getServerSessionIdBytes` in interface `ClientWireProtocol.SessionInfoOrBuilder`
Returns:
  The bytes for serverSessionId.

### setServerSessionId

public ClientWireProtocol.SessionInfo.Builder setServerSessionId(String value)

     The server side identifier for this session.

`string serverSessionId = 1;`

Parameters:
  `value` - The serverSessionId to set.
Returns:
  This builder for chaining.

### clearServerSessionId

public ClientWireProtocol.SessionInfo.Builder clearServerSessionId()

     The server side identifier for this session.

`string serverSessionId = 1;`

Returns:
  This builder for chaining.

### setServerSessionIdBytes

public ClientWireProtocol.SessionInfo.Builder setServerSessionIdBytes(com.google.protobuf.ByteString value)

     The server side identifier for this session.

`string serverSessionId = 1;`

Parameters:
  `value` - The bytes for serverSessionId to set.
Returns:
  This builder for chaining.

### hasSecurityToken

public boolean hasSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`

Specified by:
  `hasSecurityToken` in interface `ClientWireProtocol.SessionInfoOrBuilder`
Returns:
  Whether the securityToken field is set.

### getSecurityToken

public ClientWireProtocol.SecurityToken getSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`

Specified by:
  `getSecurityToken` in interface `ClientWireProtocol.SessionInfoOrBuilder`
Returns:
  The securityToken.

### setSecurityToken

public ClientWireProtocol.SessionInfo.Builder setSecurityToken(ClientWireProtocol.SecurityToken value)

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`

### setSecurityToken

public ClientWireProtocol.SessionInfo.Builder setSecurityToken(ClientWireProtocol.SecurityToken.Builder builderForValue)

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`

### mergeSecurityToken

public ClientWireProtocol.SessionInfo.Builder mergeSecurityToken(ClientWireProtocol.SecurityToken value)

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`

### clearSecurityToken

public ClientWireProtocol.SessionInfo.Builder clearSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`

### getSecurityTokenBuilder

public ClientWireProtocol.SecurityToken.Builder getSecurityTokenBuilder()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`

### getSecurityTokenOrBuilder

public ClientWireProtocol.SecurityTokenOrBuilder getSecurityTokenOrBuilder()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`

Specified by:
  `getSecurityTokenOrBuilder` in interface `ClientWireProtocol.SessionInfoOrBuilder`

### setUnknownFields

public final ClientWireProtocol.SessionInfo.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SessionInfo.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SessionInfo.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SessionInfo.Builder>`